MaillyDocs

Reserve a chosen inbox name before account registration or sign-in

POST
/onboarding/start

Shared by agents and the web page. Reserve name@mailly.site for 30 minutes. No account, receiving mailbox or mail access is created. Return 409 name_taken if registered or reserved. Give the verification URL to the human and keep the setup token private.

Request Body

application/json
  1. body
name*string
Length1 <= length <= 64

Response Body

Give verification_url to the human; keep setup_token secret

application/json
  1. response
success*boolean
request_id*string
address*string
verification_url*string
status_url*string
setup_token*string
expires_in*number
interval*number
[key: string]?unknown
curl -X POST 'https://api.mailly.site/onboarding/start' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
{  "success": true,  "request_id": "string",  "address": "string",  "verification_url": "string",  "status_url": "string",  "setup_token": "string",  "expires_in": 0,  "interval": 0,  "property1": null,  "property2": null}